Subject: Re: [PATCH 4/4] pack-check: fix verification of large objects

From: Patrick Steinhardt <[email-masked]>
Date: Tue, 24 Feb 2026 07:26:45 +0100

On Mon, Feb 23, 2026 at 12:35:48PM -0800, Junio C Hamano wrote:
> Patrick Steinhardt <[email-masked]> writes:
> > Fix this bug by creating the object stream for the packed object
> > directly via `packfile_read_object_stream()`. Add a test that would have
> > caused the infinite loop.
> 
> Curious that we have a completely different test.  I've locally
> applied (without committing or amending) t1050 update from brian's
> patch and with this series, fsck there does not seem to get stuck.
> Of course, the new test added here doesn't either ;-).

Yeah, the fact that the test in t1050 hit the bug was pure coincidence,
and I wanted to have something a bit more reliable that also allowed
myself to prove what exact circumstances cause this to fail.

Patrick